Skip to main content
POST
/
conversations
/
{id}
/
messages
Send an agent message (human-takeover only)
curl --request POST \
  --url https://api.awardee.dev/v1/conversations/{id}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "",
  "attachments": [
    {
      "url": "<string>"
    }
  ]
}
'
{
  "object": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": null,
  "parts": [
    {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order": 0,
      "text": "<string>",
      "tool_name": "<string>",
      "tool_call_id": "<string>",
      "tool_input": null,
      "tool_output": null,
      "tool_error_text": "<string>",
      "file_url": "<string>",
      "file_media_type": "<string>",
      "file_filename": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Headers

Idempotency-Key
string

Opaque key that makes this POST safe to retry. Responses are cached for 24h per API key.

Maximum string length: 255

Path Parameters

id
string<uuid>
required

Body

application/json
text
string
default:""
attachments
object[]

Response

Message created

object
string
required
Allowed value: "message"
id
string<uuid>
required
conversation_id
string<uuid>
required
role
enum<string>
required
Available options:
user,
assistant,
system
metadata
unknown
required
parts
object[]
required
created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$